<?php

//Clase de actualiza y cierra nomina mensual
class claseRegenera{
  	var  $no_reg = '0';
	var  $nom_tabla = '0';
	var  $no_nomina = '0';
	var  $operac = '0';
	var  $no_pd = '0';
	var  $can_mov = '0';
	var  $imp_mov = '0';
	var  $cve_mae = '0';
	var  $imp_gra_isp = '0';
	var  $imp_exe_isp = '0';
	var  $imp_gra_ims = '0';
	var  $imp_exe_ims = '0';
	var  $inf_perc = '0';
	var  $no_depto = '0';
	var  $area = '0';
	var  $usuario = '0';
	var  $axo_pro = '0';
	var  $mes_pro = '0';
	var  $nom_tabla2 = '0';
	var  $no_nomi2 = '0';
	var  $cve_nomi2 = '0';	
	//constructor
	function claseRegenera($nomtabla2,$nonomi2,$cvenomi2,$nomtabla,$axopro,$mespro,$nonomina,$usu){
		$this->nom_tabla = $nomtabla;
		$this->nom_tabla2 = $nomtabla2;
		$this->no_nomina = $nonomina;
		$this->usuario = $usu;
		$this->axo_pro = $axopro;
		$this->mes_pro = $mespro;
		$this->no_nomi2 = $nonomi2;
		$this->cve_nomi2 = $cvenomi2;	
	}
	
	function modAtr($nomtabla2,$nonomi2,$cvenomi2,$nomtabla,$axopro,$mespro,$nonomina,$usu){
		$this->nom_tabla = $nomtabla;
		$this->nom_tabla2 = $nomtabla2;
		$this->no_nomina = $nonomina;
		$this->usuario = $usu;
		$this->axo_pro = $axopro;
		$this->mes_pro = $mespro;
		$this->no_nomi2 = $nonomi2;
		$this->cve_nomi2 = $cvenomi2;	
	}
	
	//Funcion cuenta registros	
	function conReg(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE axo_pro ='$this->axo_pro' and mes_pro='$this->mes_pro'  ";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=0){
			return $num_salidas;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}

	function Revisa($oper,$nopd,$cvemae){
		$sql = "SELECT * FROM $this->nom_tabla WHERE axo_pro ='$this->axo_pro' and mes_pro='$this->mes_pro' and no_nomina = '$this->no_nomina' and operac='$oper' and no_pd = '$nopd' and cve_mae = '$cvemae' ";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=0){
			return $num_salidas;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
	
	function getNoReg($oper,$nopd,$cvemae){
		$sql = "SELECT * FROM $this->nom_tabla WHERE axo_pro ='$this->axo_pro' and mes_pro='$this->mes_pro' and no_nomina = '$this->no_nomina' and operac='$oper' and no_pd = '$nopd'  and cve_mae = '$cvemae'";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_fetch_array($result); 
		if($num_salidas){
			return $num_salidas['no_reg'];
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
	
	//Funcion de Acumular
	/*Agrega registros al acumulado mensual, si no existen los registros los agrega,*/
	/*si existen actualiza los acumulados del registro.*/
	function acumular(){
		if($this->conReg()!=0){
			$sqst=$this->listaBusq2();
			for($z=0;$z<$this->conReg2(); $z++){
				if($z==0) $arsqst=mysqli_fetch_array($sqst);
				$this->modEmp($arsqst["no_nomina"]);
				for($j=0; $j<$this->conRegda(); $j++){
					if($this->Revisa($arsqst["operac"],$arsqst["no_pd"],$arsqst["cve_mae"])!="0"){
						 $norg= $this->getNoReg($arsqst["operac"],$arsqst["no_pd"],$arsqst["cve_mae"]);
						 $this->modifica($norg,$arsqst["operac"],$arsqst["no_pd"],$arsqst["can_mov"],$arsqst["imp_mov"],$arsqst["cve_mae"],$arsqst["imp_gra_isp"],$arsqst["imp_exe_isp"],$arsqst["imp_gra_ims"],$arsqst["imp_exe_ims"]);
					}
					else{
						$this->agregar($arsqst);
					}
					$arsqst=mysqli_fetch_array($sqst);
				}
			}
			
		}
		else{
			$sqst=$this->listaBusq2();
			for($i=0; $i<$this->conReg2(); $i++){
				if($i==0) $arsqst=mysqli_fetch_array($sqst);
				$this->modEmp($arsqst["no_nomina"]);
				for($j=0; $j<$this->conRegda(); $j++){
					$this->agregar($arsqst);
					$arsqst=mysqli_fetch_array($sqst);
				}
			}
		}
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
	//Funcion Agregar
	function agregar($arsqst){
		$sql = "insert into $this->nom_tabla (no_nomina, operac, no_pd, can_mov, imp_mov, cve_mae, imp_gra_isp, imp_exe_isp, imp_gra_ims, imp_exe_ims, axo_pro, mes_pro, fec_acc, hor_acc, usuario) values('".$arsqst['no_nomina']."', '".$arsqst['operac']."', '".$arsqst['no_pd']."', '".$arsqst['can_mov']."', '".$arsqst['imp_mov']."', '".$arsqst['cve_mae']."', '".$arsqst['imp_gra_isp']."', '".$arsqst['imp_exe_isp']."', '".$arsqst['imp_gra_ims']."', '".$arsqst['imp_exe_ims']."','$this->axo_pro','$this->mes_pro','" .date('Y-m-j'). "','".date('H:i:s')."','$this->usuario')";
		$result = mysqli_query($GLOBALS['con'] ,$sql);
	}
	//Funcion de Lista Completa
	function listaElem(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE cve_nomi = '$this->cve_nomi' and no_nomi = '$this->no_nomi' and axo_pro ='$this->axo_pro' and mes_pro='$this->mes_pro' ";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista)
			return $lista;
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
		return "$error()";  
	}
//Funcion de Lista con Busqueda
	function listaBusq(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE  no_nomina = '$this->no_nomina' and axo_pro ='$this->axo_pro' and mes_pro='$this->mes_pro' order by operac asc, no_pd asc";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista)
			return $lista;
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
		return "$error()";   
	}
	//Funcion de lista con busqueda registro
	function lstBusqElem($noreg){
		$sql = "SELECT * FROM $this->nom_tabla WHERE cve_nomi = '$this->cve_nomi' and no_nomi = '$this->no_nomi' and no_nomina = '$this->no_nomina' and no_reg='$noreg' and axo_pro ='$this->axo_pro' and mes_pro='$this->mes_pro'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista)
			return $lista;
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
		return "$error()";   
	}
//Funcion de Modificar
	function modifica($noreg,$operac,$no_pd,$can_mov,$imp_mov,$cve_mae,$imp_gra_isp,$imp_exe_isp,$imp_gra_ims,$imp_exe_ims){
		$sql = "update $this->nom_tabla set operac = '$operac', no_pd = '$no_pd', can_mov = can_mov + '$can_mov', imp_mov = imp_mov + '$imp_mov', cve_mae = '$cve_mae', imp_gra_isp = imp_gra_isp + '$imp_gra_isp', imp_exe_isp = imp_exe_isp + '$imp_exe_isp', imp_gra_ims = imp_gra_ims + '$imp_gra_ims', imp_exe_ims = imp_exe_ims + '$imp_exe_ims', fec_acc ='" .date('Y-m-j'). "',hor_acc='".date('H:i:s')."',usuario='$this->usuario' where no_reg = '$noreg' and axo_pro = '$this->axo_pro' and mes_pro = '$this->mes_pro'";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($noreg){   
		$sql = "DELETE FROM $this->nom_tabla WHERE  no_nomina = '$this->no_nomina' and no_reg = '$noreg' and axo_pro ='$this->axo_pro' and mes_pro='$this->mes_pro'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado)
			return "ok";
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";         
	}
	
	function modEmp($emp){
		$this->no_nomina=$emp;
	}  
	function getEmp(){
		return $this->no_nomina;
	}
	
	//Funcion cuenta registros por no_nomina
	function conReg2(){
		$sql = "SELECT * FROM $this->nom_tabla2 WHERE cve_nomi = '$this->cve_nomi2' and no_nomi = '$this->no_nomi2' and axo_pro ='$this->axo_pro' and mes_pro='$this->mes_pro' ";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=0){
			return $num_salidas;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
	
	//cuenta registros de no_nomina sin agrupar
	function conRegda(){
		$sql = "SELECT * FROM $this->nom_tabla2 WHERE cve_nomi = '$this->cve_nomi2' and no_nomi = '$this->no_nomi2' and axo_pro ='$this->axo_pro' and mes_pro='$this->mes_pro' and no_nomina='$this->no_nomina'";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=0){
			return $num_salidas;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
	//Funcion de Lista Completa
	function listaElem2(){
		$sql = "SELECT * FROM $this->nom_tabla2 WHERE cve_nomi = '$this->cve_nomi2' and no_nomi = '$this->no_nomi2' and axo_pro ='$this->axo_pro' and mes_pro='$this->mes_pro' ";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista)
			return $lista;
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
		return "$error()";  
	}
	
	function listayears2(){
		$sql = "SELECT * FROM $this->nom_tabla2 ";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista)
			return $lista;
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
		return "$error()";  
	}
//Funcion de Lista con Busqueda
	function listaBusq2(){
		$sql = "SELECT * FROM $this->nom_tabla2 WHERE cve_nomi = '$this->cve_nomi2' and no_nomi = '$this->no_nomi2' and axo_pro ='$this->axo_pro' and mes_pro='$this->mes_pro' order by no_nomina asc, operac asc, no_pd asc";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista)
			return $lista;
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
		return "$error()";   
	}
	//Funcion de lista con busqueda registro
	function lstBusqElem2($noreg){
		$sql = "SELECT * FROM $this->nom_tabla2 WHERE cve_nomi = '$this->cve_nomi2' and no_nomi = '$this->no_nomi2' and no_nomina = '$this->no_nomina' and no_reg='$noreg' and axo_pro ='$this->axo_pro' and mes_pro='$this->mes_pro'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista)
			return $lista;
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
		return "$error()";   
	}
	
	//FUNCION ACTUALIZA PERIODO DE CALENDARIO DE NOMINAS
	function actualizaCalendario($tipnom,$axomes){
		$busqcal="select * from dncageno where cve_nomi = '$tipnom' and axo_mes='$axomes' order by no_nomi asc";
		$sqbusqcal=mysqli_query($GLOBALS['con'] ,$busqcal);
		while($arbusqw=mysqli_fetch_array($sqbusqcal)) if($arbusqw['act_nom']=="NO") break;
		mysqli_query($GLOBALS['con'] ,"update dncageno set act_nom = 'SI' where no_reg ='".$arbusqw['no_reg']."'");
		
	}    
}       


//Clase de actualiza y cierra nomina anual
class claseanu{
  	var  $no_reg = '0';
	var  $nom_tabla = '0';
	var  $no_nomina = '0';
	var  $operac = '0';
	var  $no_pd = '0';
	var  $can_mov = '0';
	var  $imp_mov = '0';
	var  $cve_mae = '0';
	var  $imp_gra_isp = '0';
	var  $imp_exe_isp = '0';
	var  $imp_gra_ims = '0';
	var  $imp_exe_ims = '0';
	var  $inf_perc = '0';
	var  $no_depto = '0';
	var  $area = '0';
	var  $usuario = '0';
	var  $axo_pro = '0';
	var  $mes_pro = '0';
	var  $nom_tabla2 = '0';
	var  $no_nomi2 = '0';
	var  $cve_nomi2 = '0';	
	//constructor
	function claseanu($nomtabla2,$nonomi2,$cvenomi2,$nomtabla,$axopro,$mespro,$nonomina,$usu){
		$this->nom_tabla = $nomtabla;
		$this->nom_tabla2 = $nomtabla2;
		$this->no_nomina = $nonomina;
		$this->usuario = $usu;
		$this->axo_pro = $axopro;
		$this->mes_pro = $mespro;
		$this->no_nomi2 = $nonomi2;
		$this->cve_nomi2 = $cvenomi2;	
	}
	
	function modAtrr($nomtabla2,$nonomi2,$cvenomi2,$nomtabla,$axopro,$mespro,$nonomina,$usu){
		$this->nom_tabla = $nomtabla;
		$this->nom_tabla2 = $nomtabla2;
		$this->no_nomina = $nonomina;
		$this->usuario = $usu;
		$this->axo_pro = $axopro;
		$this->mes_pro = $mespro;
		$this->no_nomi2 = $nonomi2;
		$this->cve_nomi2 = $cvenomi2;	
	}
	
	//Funcion cuenta registros	
	function conReg(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE axo_pro ='$this->axo_pro' ";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=0){
			return $num_salidas;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}

	function Revisa($oper,$nopd,$cvemae){
		$sql = "SELECT * FROM $this->nom_tabla WHERE axo_pro ='$this->axo_pro' and no_nomina = '$this->no_nomina' and operac='$oper' and no_pd = '$nopd' and cve_mae = '$cvemae' ";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=0){
			return $num_salidas;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
	
	function getNoReg($oper,$nopd,$cvemae){
		$sql = "SELECT * FROM $this->nom_tabla WHERE axo_pro ='$this->axo_pro' and no_nomina = '$this->no_nomina' and operac='$oper' and no_pd = '$nopd' and cve_mae = '$cvemae'";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_fetch_array($result); 
		if($num_salidas){
			return $num_salidas['no_reg'];
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
	
	//Funcion de Acumular
	/*Agrega registros al acumulado mensual, si no existen los registros los agrega,*/
	/*si existen actualiza los acumulados del registro.*/
	function acumular(){
		if($this->conReg()!=0){
			$sqst=$this->listaBusq2();
			for($z=0;$z<$this->conReg2(); $z++){
				if($z==0) $arsqst=mysqli_fetch_array($sqst);
				$this->modEmp($arsqst["no_nomina"]);
				for($j=0; $j<$this->conRegda(); $j++){
					if($this->Revisa($arsqst["operac"],$arsqst["no_pd"],$arsqst["cve_mae"])!="0"){
						 $norg= $this->getNoReg($arsqst["operac"],$arsqst["no_pd"],$arsqst["cve_mae"]);
						 $this->modifica($norg,$arsqst["operac"],$arsqst["no_pd"],$arsqst["can_mov"],$arsqst["imp_mov"],$arsqst["cve_mae"],$arsqst["imp_gra_isp"],$arsqst["imp_exe_isp"],$arsqst["imp_gra_ims"],$arsqst["imp_exe_ims"]);
					}
					else{
						$this->agregar($arsqst);
					}
					$arsqst=mysqli_fetch_array($sqst);
				}
			}
			
		}
		else{
			$sqst=$this->listaBusq2();
			for($i=0; $i<$this->conReg2(); $i++){
				if($i==0) $arsqst=mysqli_fetch_array($sqst);
				$this->modEmp($arsqst["no_nomina"]);
				for($j=0; $j<$this->conRegda(); $j++){
					$this->agregar($arsqst);
					$arsqst=mysqli_fetch_array($sqst);
				}
			}
		}
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
	//Funcion Agregar
	function agregar($arsqst){
		$sql = "insert into $this->nom_tabla (no_nomina, operac, no_pd, can_mov, imp_mov, cve_mae, imp_gra_isp, imp_exe_isp, imp_gra_ims, imp_exe_ims, axo_pro, fec_acc, hor_acc, usuario) values('".$arsqst['no_nomina']."', '".$arsqst['operac']."', '".$arsqst['no_pd']."', '".$arsqst['can_mov']."', '".$arsqst['imp_mov']."', '".$arsqst['cve_mae']."', '".$arsqst['imp_gra_isp']."', '".$arsqst['imp_exe_isp']."', '".$arsqst['imp_gra_ims']."', '".$arsqst['imp_exe_ims']."','$this->axo_pro','" .date('Y-m-j'). "','".date('H:i:s')."','$this->usuario')";
		$result = mysqli_query($GLOBALS['con'] ,$sql);
	}
	//Funcion de Lista Completa
	function listaElem(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE cve_nomi = '$this->cve_nomi' and no_nomi = '$this->no_nomi' and axo_pro ='$this->axo_pro' ";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista)
			return $lista;
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
		return "$error()";  
	}
//Funcion de Lista con Busqueda
	function listaBusq(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE  no_nomina = '$this->no_nomina' and axo_pro ='$this->axo_pro' order by operac asc, no_pd asc";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista)
			return $lista;
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
		return "$error()";   
	}
	//Funcion de lista con busqueda registro
	function lstBusqElem($noreg){
		$sql = "SELECT * FROM $this->nom_tabla WHERE cve_nomi = '$this->cve_nomi' and no_nomi = '$this->no_nomi' and no_nomina = '$this->no_nomina' and no_reg='$noreg' and axo_pro ='$this->axo_pro' ";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista)
			return $lista;
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
		return "$error()";   
	}
//Funcion de Modificar
	function modifica($noreg,$operac,$no_pd,$can_mov,$imp_mov,$cve_mae,$imp_gra_isp,$imp_exe_isp,$imp_gra_ims,$imp_exe_ims){
		$sql = "update $this->nom_tabla set operac = '$operac', no_pd = '$no_pd', can_mov = can_mov + '$can_mov', imp_mov = imp_mov + '$imp_mov', cve_mae = '$cve_mae', imp_gra_isp = imp_gra_isp + '$imp_gra_isp', imp_exe_isp = imp_exe_isp + '$imp_exe_isp', imp_gra_ims = imp_gra_ims + '$imp_gra_ims', imp_exe_ims = imp_exe_ims + '$imp_exe_ims', fec_acc ='" .date('Y-m-j'). "',hor_acc='".date('H:i:s')."',usuario='$this->usuario' where no_reg = '$noreg' and axo_pro = '$this->axo_pro'";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($noreg){   
		$sql = "DELETE FROM $this->nom_tabla WHERE  no_nomina = '$this->no_nomina' and no_reg = '$noreg' and axo_pro ='$this->axo_pro'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado)
			return "ok";
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";         
	}
	
	function modEmp($emp){
		$this->no_nomina=$emp;
	}  
	function getEmp(){
		return $this->no_nomina;
	}
	
	//Funcion cuenta registros por no_nomina
	function conReg2(){
		$sql = "SELECT * FROM $this->nom_tabla2 WHERE cve_nomi = '$this->cve_nomi2' and no_nomi = '$this->no_nomi2' and axo_pro ='$this->axo_pro' and mes_pro = '$this->mes_pro' ";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=0){
			return $num_salidas;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
	
	//cuenta registros de no_nomina sin agrupar
	function conRegda(){
		$sql = "SELECT * FROM $this->nom_tabla2 WHERE cve_nomi = '$this->cve_nomi2' and no_nomi = '$this->no_nomi2' and axo_pro ='$this->axo_pro' and mes_pro = '$this->mes_pro' and no_nomina='$this->no_nomina'";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=0){
			return $num_salidas;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
	//Funcion de Lista Completa
	function listaElem2(){
		$sql = "SELECT * FROM $this->nom_tabla2 WHERE cve_nomi = '$this->cve_nomi2' and no_nomi = '$this->no_nomi2' and axo_pro ='$this->axo_pro' and mes_pro = '$this->mes_pro' ";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista)
			return $lista;
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
		return "$error()";  
	}
//Funcion de Lista con Busqueda
	function listaBusq2(){
		$sql = "SELECT * FROM $this->nom_tabla2 WHERE cve_nomi = '$this->cve_nomi2' and no_nomi = '$this->no_nomi2' and axo_pro ='$this->axo_pro' and mes_pro = '$this->mes_pro' order by no_nomina asc, operac asc, no_pd asc";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista)
			return $lista;
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
		return "$error()";   
	}
	//Funcion de lista con busqueda registro
	function lstBusqElem2($noreg){
		$sql = "SELECT * FROM $this->nom_tabla2 WHERE cve_nomi = '$this->cve_nomi2' and no_nomi = '$this->no_nomi2' and no_nomina = '$this->no_nomina' and no_reg='$noreg' and axo_pro ='$this->axo_pro' and and mes_pro = '$this->mes_pro'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista)
			return $lista;
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
		return "$error()";   
	}
	
	//FUNCION ACTUALIZA PERIODO DE CALENDARIO DE NOMINAS
	function actualizaCalendario($tipnom,$axomes){
		$busqcal="select * from dncageno where cve_nomi = '$tipnom' and axo_mes='$axomes' and no_nomi = '$this->no_nomi2' order by no_nomi desc";
		$sqbusqcal=mysqli_query($GLOBALS['con'] ,$busqcal);
		while($arbusqw=mysqli_fetch_array($sqbusqcal)) if($arbusqw['act_nom']=="NO") break;
		mysqli_query($GLOBALS['con'] ,"update dncageno set act_nom = 'SI' where no_reg ='".$arbusqw['no_reg']."'");
		
	}    
} 
?>